Navigatie overslaan

Buitengebruikstelling van de PHP 5.5-runtime van App Service

Publicatiedatum: 11 oktober, 2017

Omdat de PHP-groep heeft laten weten dat PHP 5.5 niet meer wordt ondersteund, zijn er geen updates meer voor die versie, dus ook geen oplossingen voor beveiligingsproblemen. Om beveiligingsproblemen in Azure App Service te voorkomen zullen we onze ondersteuning van PHP 5.5 in januari 2018 buiten gebruik stellen. Momenteel ondersteunen wij PHP 5.6, 7.0 en 7.1.

Deze buitengebruikstelling heeft gevolgen voor alle klanten die hun web-app uitvoeren met de PHP 5.5-runtime (tenzij u een aangepaste PHP-runtime gebruikt). We raden u ten zeerste aan een upgrade uit te voeren naar een ondersteunde versie van PHP omdat uw web-app automatisch wordt verplaatst naar PHP 5.6. Zie de documentatie op de webpagina Bijlagen op PHP.net voor meer informatie over het migreren van PHP 5.5 naar een andere versie van PHP. 

Hoewel we de PHP 5.5-runtime van het platform verwijderen, zijn we ons ervan bewust dat sommige toepassingen complex zijn en mogelijk zijn gekoppeld aan een specifieke PHP-runtimeversie. Om uw PHP 5.5-toepassingen te blijven ondersteunen, is het mogelijk met de PHP 5.5-runtime te blijven werken. Zie de sectie 'Procedure: een aangepaste PHP-runtime gebruiken' van de webpagina met documentatie voor het configureren van PHP in Azure App Service-web-apps voor meer informatie. 

  • App Service
  • Features
  • SDK and Tools

Verwante producten